# operator==,!=(std::allocator)

From cppreference.com
< cpp‎ | memory‎ | allocator

template< class T1, class T2 > bool operator==( const allocator<T1>& lhs, const allocator<T2>& rhs ) throw(); |  | (until C++11)
template< class T1, class T2 > bool operator==( const allocator<T1>& lhs, const allocator<T2>& rhs ) noexcept; |  | (since C++11)
template< class T1, class T2 > bool operator!=( const allocator<T1>& lhs, const allocator<T2>& rhs ) throw(); |  | (until C++11)
template< class T1, class T2 > bool operator!=( const allocator<T1>& lhs, const allocator<T2>& rhs ) noexcept; |  | (since C++11)

Compares two default allocators. Since default allocators are stateless, two default allocators are always equal.

1) Returns true
2) Returns false

### Parameters

lhs, rhs | - | default allocators to compare

### Return value

1) true
2) false
Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/allocator/operator_cmp&oldid=108399"